Apache Tomcat 7.0.42

## org.apache.coyote.http11
Class InternalAprOutputBuffer.SocketOutputBuffer

    java.lang.Object
      org.apache.coyote.http11.InternalAprOutputBuffer.SocketOutputBuffer

All Implemented Interfaces:
  OutputBuffer

Enclosing class:
  InternalAprOutputBuffer

    protected class InternalAprOutputBuffer.SocketOutputBuffer

extends Object
implements OutputBuffer

This class is an output buffer which will write data to an output stream.

Constructor Summary
`protected` `InternalAprOutputBuffer.SocketOutputBuffer()`

Method Summary
`int` `doWrite(ByteChunk chunk, Response res)` Write chunk.
`long` `getBytesWritten()` Bytes written to the underlying socket.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalAprOutputBuffer.SocketOutputBuffer

    protected InternalAprOutputBuffer.SocketOutputBuffer()

Method Detail

### doWrite

    public int doWrite(ByteChunk chunk,
                       Response res)
                throws IOException

  Write chunk.

  Specified by:
    `doWrite` in interface `OutputBuffer`
  Parameters:
    `chunk` - data to write
    `res` - used to allow buffers that can be shared by multiple responses.
  Throws:
    `IOException`

### getBytesWritten

    public long getBytesWritten()

  Description copied from interface: `OutputBuffer`
  Bytes written to the underlying socket. This includes the effects of chunking, compression, etc.

  Specified by:
    `getBytesWritten` in interface `OutputBuffer`
  Returns:
    Bytes written for the current request

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.